
import { resolve } from 'path';
import { defineConfig } from 'vite';
// import { visualizer } from 'rollup-plugin-visualizer'; // 可选，用于查看打包后的体积分析
 
export default defineConfig({
  build: {
    rollupOptions: {
      input: {
        main: resolve(__dirname, 'src/index.js'), // 指定入口文件
      },
      output: {
        entryFileNames: '[name].js', // 输出文件名，可以根据需要修改格式如 `bundle.js`
        chunkFileNames: '[name].js', // 分块文件名，可以根据需要修改格式如 `[name].js` 或 `chunk-[hash].js`
        assetFileNames: 'assets/[name].[hash][extname]', // 静态资源文件名，可以根据需要修改格式如 `assets/[name].[hash][extname]`
      },
    },
    lib: {
      entry: resolve(__dirname, 'src/index.js'), // 指定库的入口文件，如果是库项目的话才需要此项配置
      name: 'ErpSerach', // 输出的库名，如果是库项目的话才需要此项配置
      fileName: (format) => `erp-search.${format}.js`, // 输出的文件名格式，如果是库项目的话才需要此项配置
    },
    minify: 'esbuild', // 使用 esbuild 进行压缩，可选 'terser' 或 'esbuild'，根据需要选择
  },
//   plugins: [visualizer()], // 可选插件，用于查看打包后的体积分析结果，只在开发时使用，发布时可以移除或注释掉此行。
});